package com.kmall.admin.entity.mk.store;

import java.io.Serializable;
import java.util.Date;

/**
 * 门店推广订单关联表实体
 * 表名 mk_store_prom_order_real
 *
 * @author emato
 * @email admin@qhdswl.com
 * @date 2019-04-30 15:02:38
 */
public class MkStorePromOrderRealEntity implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     * 推广订单关联id
     */
    private Integer promOrderRealId;
    /**
     * 推广id
     */
    private Integer promId;
    /**
     * 购物车id
     */
    private Integer cartId;
    /**
     * 订单id
     */
    private Integer orderId;
    /**
     * 订单明细id
     */
    private Integer orderGoodsId;
    /**
     * 是否有效,0:有效，1:无效
     */
    private String isValid;
    /**
     * 备注
     */
    private String note;
    /**
     * 创建人编号
     */
    private String createrSn;
    /**
     * 创建时间
     */
    private Date createTime;
    /**
     * 修改人编号
     */
    private String moderSn;
    /**
     * 修改时间
     */
    private Date modTime;
    /**
     * 时间戳
     */
    private Date tstm;

    //购买用户id
    private Integer userId;

    private String isPromStatScan;

    public String getIsPromStatScan() {
        return isPromStatScan;
    }

    public void setIsPromStatScan(String isPromStatScan) {
        this.isPromStatScan = isPromStatScan;
    }

    public Integer getUserId() {
        return userId;
    }

    public void setUserId(Integer userId) {
        this.userId = userId;
    }

    public Integer getOrderGoodsId() {
        return orderGoodsId;
    }

    public void setOrderGoodsId(Integer orderGoodsId) {
        this.orderGoodsId = orderGoodsId;
    }

    /**
     * 设置：推广订单关联id
     */
    public void setPromOrderRealId(Integer promOrderRealId) {
        this.promOrderRealId = promOrderRealId;
    }

    /**
     * 获取：推广订单关联id
     */
    public Integer getPromOrderRealId() {
        return promOrderRealId;
    }
    /**
     * 设置：推广id
     */
    public void setPromId(Integer promId) {
        this.promId = promId;
    }

    /**
     * 获取：推广id
     */
    public Integer getPromId() {
        return promId;
    }
    /**
     * 设置：购物车id
     */
    public void setCartId(Integer cartId) {
        this.cartId = cartId;
    }

    /**
     * 获取：购物车id
     */
    public Integer getCartId() {
        return cartId;
    }
    /**
     * 设置：订单id
     */
    public void setOrderId(Integer orderId) {
        this.orderId = orderId;
    }

    /**
     * 获取：订单id
     */
    public Integer getOrderId() {
        return orderId;
    }
    /**
     * 设置：是否有效,0:有效，1:无效
     */
    public void setIsValid(String isValid) {
        this.isValid = isValid;
    }

    /**
     * 获取：是否有效,0:有效，1:无效
     */
    public String getIsValid() {
        return isValid;
    }
    /**
     * 设置：备注
     */
    public void setNote(String note) {
        this.note = note;
    }

    /**
     * 获取：备注
     */
    public String getNote() {
        return note;
    }
    /**
     * 设置：创建人编号
     */
    public void setCreaterSn(String createrSn) {
        this.createrSn = createrSn;
    }

    /**
     * 获取：创建人编号
     */
    public String getCreaterSn() {
        return createrSn;
    }
    /**
     * 设置：创建时间
     */
    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    /**
     * 获取：创建时间
     */
    public Date getCreateTime() {
        return createTime;
    }
    /**
     * 设置：修改人编号
     */
    public void setModerSn(String moderSn) {
        this.moderSn = moderSn;
    }

    /**
     * 获取：修改人编号
     */
    public String getModerSn() {
        return moderSn;
    }
    /**
     * 设置：修改时间
     */
    public void setModTime(Date modTime) {
        this.modTime = modTime;
    }

    /**
     * 获取：修改时间
     */
    public Date getModTime() {
        return modTime;
    }
    /**
     * 设置：时间戳
     */
    public void setTstm(Date tstm) {
        this.tstm = tstm;
    }

    /**
     * 获取：时间戳
     */
    public Date getTstm() {
        return tstm;
    }
}
